import _extends from "@babel/runtime/helpers/extends";
import _inheritsLoose from "@babel/runtime/helpers/inheritsLoose";
import React from 'react';
import { bizCssPrefix } from "../../variables";
import "./index.scss";
//按钮栏
var CommonButtonBox = /*#__PURE__*/function (_React$Component) {
  _inheritsLoose(CommonButtonBox, _React$Component);
  function CommonButtonBox(props) {
    var _this;
    _this = _React$Component.call(this, props) || this;
    _this._renderChildren = function () {
      var children = _this.props.children;
      return React.Children.map(children, function (child) {
        return /*#__PURE__*/React.createElement("div", {
          className: "button-item"
        }, " ", /*#__PURE__*/React.cloneElement(child));
      });
    };
    return _this;
  }
  var _proto = CommonButtonBox.prototype;
  _proto.render = function render() {
    var _this$props = this.props,
      justifyContent = _this$props.justifyContent,
      style = _this$props.style;
    // console.log(children)
    return /*#__PURE__*/React.createElement("div", {
      className: bizCssPrefix + '-common-button-box',
      style: _extends({
        justifyContent: justifyContent
      }, style)
    }, this._renderChildren());
  };
  return CommonButtonBox;
}(React.Component);
CommonButtonBox.displayName = 'CommonButtonBox';
export default CommonButtonBox;